﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net.Sockets;

namespace Test.NetworkStrm.Client
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                // TCP Client oluşturuluyor.
                TcpClient client = new TcpClient();
                // Hostname ve port bilgileri kullanılarak listener'a bağlanılıyor.
                client.Connect("localhost", 6006);
                // Verileri göndermek için NetworkStream instance'ı oluşturuluyor.
                NetworkStream stm = client.GetStream();
                byte[] sendBytes = Encoding.UTF8.GetBytes("Bu veri client uygulamadan gönderilmiştir.!!!");
                stm.Write(sendBytes, 0, sendBytes.Length);
                client.Close();
                Console.WriteLine("Tcp client uygulamasından veri gönderilmiştir.");
                Console.ReadLine();
            }
            catch (Exception e)
            {
                Console.WriteLine(e.ToString());
                Console.WriteLine("Muhtemelen listener uygulaması başlatılmamıştır.");
            }
        }
    }
}
