﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net.Sockets;

namespace Test.NetworkStrm.Listener
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                // TCP listener oluşturuluyor.
                TcpListener listener = new TcpListener(new System.Net.IPAddress(new byte[] { 127, 0, 0, 1 }), 6006);
                listener.Start();
                Console.WriteLine("TcpListener oluşturuldu client bekleniyor.");
                TcpClient tc = listener.AcceptTcpClient();
                NetworkStream stm = tc.GetStream();
                byte[] readBuf = new byte[100];
                stm.Read(readBuf, 0, 100);
                // Veriler görüntüleniyor.
                Console.WriteLine(Encoding.UTF8.GetString(readBuf));
                stm.Close();
                Console.ReadLine();
            }
            catch (Exception e)
            {
                Console.WriteLine(e.ToString());
            }
        }
    }
}
